Skip to main content
GET
Get a location

Authorizations

Authorization
string
header
required

Use OAuth2 client credentials to obtain a bearer token.

Token endpoint: POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token

Use the same base URL as the selected API server:

  • Test environment: https://apigwuat.corpay.com
  • Production environment: https://apigw.corpay.com

Example:

Path Parameters

locationId
string
required

URL-encoded location id.

Query Parameters

keyIdentifier
string

The keyIdentifier of a charging key, will be used to look up specific prices for this charging key.

fleetId
string

The id of a fleet organization, will be used to look up specific prices for this fleet.

language
string

Supported languages: en, bg, cy, de, es, fi, fr, hu, is, it, lt, nb, nl, pl, pt, ro, sv.

Required string length: 2

Response

Location

address
string
required

Street address of the charging location

Example:

"EUREF CAMPUS 4-5"

city
string
required

City where the charging location is situated

Example:

"Berlin"

coordinates
object
required

Geographic coordinates of the charging location. These values are returned as strings.

country
string
required

Three-letter country code (ISO 3166-1 alpha-3) where the charging location is situated

Required string length: 3
Example:

"DEU"

evses
object[]
required

List of Electric Vehicle Supply Equipment (EVSE) at this location. Each EVSE may have multiple connectors.

id
string
required
Example:

"8rMCionje8s2LtheVGEK90mYnJdJe5OZd48ecF/w1StRJSodFFzfQ3GhJbYbxG0gQhJv/Yjp5FXBJt14SccU9zFRdnC4SV7juPdCRaWkEZo="

last_updated
string
required

ISO 8601 timestamp of when this location's data was last updated. Use this to track changes and implement efficient polling.

Example:

"2024-03-15T14:30:00.000Z"

name
string
required

Human-readable name of the charging location

Maximum string length: 255
Example:

"Ebee Smart Technologies"

directions
object[]

Navigation instructions to help locate the charging points, available in multiple languages

is_green_energy
boolean

Indicates if the location uses renewable energy sources for charging, based on CPO-provided data

Example:

false

openNow
boolean

Indicates if the location is currently open based on opening_hours and local timezone. Use this for quick filtering of available locations.

Example:

false

opening_times
object

Operating hours of the charging location

operator
object

Information about the Charging Point Operator (CPO) managing this location

operator_display_name
string

An enhanced display name of the operator. This may be the operator name as found in the operator object, or the sub-operator of the location. When showing the location to end users, this is the operator name that should be shown.

Example:

"Sub-operator X"

postal_code
string

Postal code of the charging location

Example:

10829

state
string

State, region, or province where the charging location is situated. Format varies by country.

Example:

"Bayern"